Page MenuHomePhabricator

Recent Changes IRC feed should link to the HTTPS diff
Closed, ResolvedPublic

Description

With the recent move to push HTTPS, it makes sense to also link to the HTTPS version of diffs in the Recent Changes IRC feed.

To consider:
Bots that read those feeds might expect HTTP. Can we notify bot operators somehow?


Version: unspecified
Severity: enhancement

Details

Reference
bz53526

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz53526.
bzimport added a subscriber: Unknown Object (MLST).
Skalman created this task.Aug 29 2013, 8:24 AM

I believe those feeds simply use the canonical url, which is still HTTP.

Why was this in the Wikimedia product?

@Legoktm - if it is true that it uses the canonical URL, it makes sense to just wait for that change. Is there a bug for that, that this bug should depend on?

(In reply to Alex Monk from comment #2)

Why was this in the Wikimedia product?

Because it has very little to do with MediaWiki core. I don't think this is something MediaWiki core would decide. It uses the canonical server url as configured by the system administrator of the server.

If a wiki wants to promote HTTPS or even enforce by default, they should do so in general. I don't think it makes sense to do so for one very specific arbitrary part of the software (e.g. not page view, not e-mails, not API, but RCFeed, and only the IRC format..).

If Wikimedia wants to make an exception for it, they could do so in wmf-config.

Alternatively, since I'd rather not make breaking changes to IRCRCFormatter, this is probably something individual programs can do.

For example, the Huggle or CVNBot could rewrite urls as HTTPS for their users if their user base is interested in that.

Aklapper added a subscriber: Aklapper.

Going to https://en.wikipedia.org/wiki/Special:RecentChanges and looking at its source via the browser functionality, I see these headers:

<link rel="copyright" href="//creativecommons.org/licenses/by-sa/3.0/" />
<link rel="alternate" type="application/atom+xml" title="&quot;Special:RecentChanges&quot; Atom feed" href="/w/api.php?hidebots=1&amp;days=7&amp;limit=50&amp;hidewikidata=1&amp;action=feedrecentchanges&amp;feedformat=atom" />
<link rel="canonical" href="http://en.wikipedia.org/wiki/Special:RecentChanges" />

So the Feed URL itself seems to be protocol relative (while the canonical URL is not).

Looking at https://en.wikipedia.org/w/api.php?hidebots=1&days=7&limit=50&hidewikidata=1&action=feedrecentchanges&feedformat=atom
I see entries like

<link rel="alternate" type="text/html" href="https://en.wikipedia.org/w/index.php?title=Poutine&amp;diff=641598912&amp;oldid=640756202"/>

Not sure if that fixes this task though?

no, this is about the irc feed

Argh, true. Thanks.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 11 2015, 2:21 PM
Skalman closed this task as Resolved.Sep 11 2015, 4:40 PM
Skalman claimed this task.

This seems to work as expected now, probably because the canonical URLs were changed to https:// a while back.

Restricted Application added a project: Traffic. · View Herald TranscriptAug 5 2016, 11:40 AM
Restricted Application added a subscriber: JEumerus. · View Herald Transcript